## pyside-mobility-12 0.2.2-0maemo1

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pysidemobility)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
                      ${CMAKE_MODULE_PATH})
find_package(PythonLibs REQUIRED)
find_package(PythonInterpWithDebug REQUIRED)
find_package(Shiboken 1.0.1 REQUIRED)
find_package(PySide 1.0.0 REQUIRED)
find_package(Qt4 4.6.2 REQUIRED)
SET(SUPPORTED_QT_VERSION "4.6.0")
find_package(QtMobility 1.0.0 REQUIRED )


if(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimization library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden -Wno-strict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()

    if(CMAKE_HOST_APPLE)
        if (NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
         endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(BINDING_NAME QtMobility)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "2")
set(BINDING_API_MICRO_VERSION "2")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

include(${QT_USE_FILE})

set(BINDING_VERSION ${BINDING_API_VERSION})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


set(ARCHIVE_NAME pyside-mobility-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif()

# Detect if the python libs were compiled in debug mode
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_config_var('Py_DEBUG')"
    OUTPUT_VARIABLE PY_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(NOT PYTHON_DEBUG_LIBRARIES)
        message(FATAL_ERROR "Python debug library not found. Try compile PySide with -DCMAKE_BUILD_TYPE=Release")
    endif()
    if(NOT PY_DEBUG)
        message(WARNING "Compiling PySide with debug enabled, but the python executable was not compiled with debug support.")
    else()
        add_definitions("-DPy_DEBUG")
    endif()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_DEBUG_LIBRARIES})
else()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_LIBRARIES})
endif()

set(GENERATOR_EXTRA_FLAGS --generatorSet=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic)
if(WIN32 OR DEFINED AVOID_PROTECTED_HACK)
    message(STATUS "PySide-Mobility will be generated avoiding the protected hack!")
    set(GENERATOR_EXTRA_FLAGS ${GENERATOR_EXTRA_FLAGS} --avoid-protected-hack)
    add_definitions(-DAVOID_PROTECTED_HACK)
else()
    message(STATUS "PySide-Mobility will be generated using the protected hack!")
endif()

enable_testing()

add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== QtMobility/CMakeLists.txt ===
project(mobility)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
        DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")

link_directories(${QT_MOBILITY_LIBRARY_DIR})

# Old macro without support for custom typesystem paths and guesses the
# typesystem from the module name.
macro(CREATE_PYSIDE_MODULE MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM(${MODULE_NAME}
                                         ${MODULE_INCLUDE_DIR}
                                         ${SRCS}
                                         ${INC_DIRS}
                                         ${LINK_LIBS}
                                         ""
                                         ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_${LOWER_MODULE_NAME}.xml)
endmacro(CREATE_PYSIDE_MODULE)

# New macro that accepts the typesystem and typesystem paths explicitly
macro(CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS TYPESYSTEM_PATHS TYPESYSTEM)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    STRING(TOLOWER ${BINDING_NAME} LOWER_BINDING_NAME)
    include_directories(${MODULE_NAME} ${${INC_DIRS}})
    add_library(${MODULE_NAME} MODULE ${${SRCS}})
    set_property(TARGET ${MODULE_NAME} PROPERTY PREFIX "")
    target_link_libraries(${MODULE_NAME} ${${LINK_LIBS}})

    add_custom_command(OUTPUT ${${SRCS}}
                        COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
                        ${CMAKE_SOURCE_DIR}/${BINDING_NAME}/global.h
                        --include-paths=${MODULE_INCLUDE_DIR}:${QT_MOBILITY_INCLUDE_DIR}:${QT_MOBILITY_PARENT_INCLUDE_DIR}:${QT_INCLUDE_DIR}
                        --typesystem-paths=${${TYPESYSTEM_PATHS}}:${PYSIDE_TYPESYSTEMS}
                        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
                        --license-file=${CMAKE_CURRENT_SOURCE_DIR}/../licensecomment.txt
                        ${TYPESYSTEM}
                        --api-version=${QT_MOBILITY_MAJOR_VERSION}.${QT_MOBILITY_MINOR_VERSION}
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        COMMENT "Running generator for ${MODULE_NAME}..."
                       )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}.so DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}/${LOWER_BINDING_NAME}_${LOWER_MODULE_NAME}_python.h
            DESTINATION include/Py${BINDING_NAME}/${MODULE_NAME}/)

    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}${CMAKE_SHARED_MODULE_SUFFIX}"
                                                               "${CMAKE_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}${CMAKE_SHARED_MODULE_SUFFIX}")
endmacro(CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM)


execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                           "${CMAKE_BINARY_DIR}/${BINDING_NAME}/__init__.py")

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Module ${component} found.")
        add_subdirectory(${component})
    ELSE()
        message("Module ${component} not found. ${component} support disabled.")
    ENDIF()
endmacro()

IF(${QTVERSION} VERSION_LESS 4.7.0)
    add_if_found(Bearer)
ENDIF()

add_if_found(Contacts)
add_if_found(Connectivity)
add_if_found(Feedback)
add_if_found(Gallery)
add_if_found(Location)
add_if_found(Messaging)
add_if_found(MultimediaKit)
add_if_found(Organizer)
add_if_found(PublishSubscribe)
add_if_found(Sensors)
add_if_found(ServiceFramework)
add_if_found(SystemInfo)
add_if_found(Versit)

=== tests/CMakeLists.txt ===
set(QTMOBILITY_TIMEOUT 10)

macro(QTMOBILITY_TEST)
    string(REGEX MATCH "/([^/]+)//?([^/]+)\\.py" foo "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}" )
    set(TEST_NAME "${CMAKE_MATCH_1}_${CMAKE_MATCH_2}")
    if (${ARGC} EQUAL 1)
        set(EXPECT_TO_FAIL 0)
    elseif(${ARGC} EQUAL 2)
        set(EXPECT_TO_FAIL ${ARGV1})
    else()
        message(WARNING "Ivalid call of macro QTMOBILITY_TEST")
    endif()
    set(TEST_CMD ${CMAKE_SOURCE_DIR}/tests/run_test.sh  "${CMAKE_BINARY_DIR}:${CMAKE_SOURCE_DIR}/tests/util" ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}")
    add_test(${TEST_NAME} ${TEST_CMD})
    set_tests_properties(${TEST_NAME} PROPERTIES
                         TIMEOUT ${QTMOBILITY_TIMEOUT}
                         WILL_FAIL ${EXPECT_TO_FAIL})
endmacro(QTMOBILITY_TEST)

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Adding tests for ${component}.")
        add_subdirectory(${component})
        if(INSTALL_TESTS)
            install(DIRECTORY ${component} DESTINATION "${TEST_INSTALL_DIR}" FILES_MATCHING PATTERN "*.py")
        endif()
    ELSE()
        message("Module ${component} not found. ${component} tests disabled.")
    ENDIF()
endmacro()

if (NOT TEST_INSTALL_DIR)
    set(TEST_INSTALL_DIR "share/pyside-mobility/tests")
endif()

if(CMAKE_VERSION VERSION_LESS 2.8)
    # Versions lesser than 2.8 can not set environment variables for tests.
    message("CMake version greater than 2.8 necessary to run the tests.")
else()
    add_if_found(Contacts)
    add_if_found(Feedback)
    add_if_found(Gallery)
    add_if_found(Messaging)
    add_if_found(Location)
    add_if_found(MultimediaKit)
    add_if_found(Organizer)
    add_if_found(PublishSubscribe)
    add_if_found(Sensors)
    add_if_found(ServiceFramework)
    add_if_found(SystemInfo)
    add_if_found(Versit)
endif()

if(INSTALL_TESTS)
    install(DIRECTORY util/ DESTINATION "${SITE_PACKAGE}" FILES_MATCHING PATTERN "*.py")
endif()

=== QtMobility/Connectivity/CMakeLists.txt ===
project(Connectivity)

set(Connectivity_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/connectivity_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_connectivity_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdevicediscoveryagent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdevicediscoveryagent_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothhostinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothlocaldevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothlocaldevice_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothservicediscoveryagent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothservicediscoveryagent_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothserviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothserviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothsocket_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransfermanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransfermanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferreply_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothuuid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothuuid_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capsocket_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpsocket_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndeffilter_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndeffilter_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefmessage_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefmessage_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfctextrecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfctextrecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfcurirecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfcurirecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefrecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefrecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldmanager_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldmanager_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype1_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype1_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype2_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype2_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype3_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype3_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype4_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype4_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtarget_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtarget_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommsocket_wrapper.h
)

set(Connectivity_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONNECTIVITY_INCLUDE_DIR}
)

set(Connectivity_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_CONNECTIVITY_LIBRARY}
)

CREATE_PYSIDE_MODULE(Connectivity
                     ${QT_MOBILITY_CONNECTIVITY_INCLUDE_DIR}
                     Connectivity_SRC
                     Connectivity_INCLUDE_DIRECTORIES
                     Connectivity_LINK_LIBRARIES)

=== QtMobility/Contacts/CMakeLists.txt ===
project(Contacts)


if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(Contacts_12_SRC )
else()
    set(Contacts_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactobserver_wrapper.cpp
    )
endif()

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 1)
    set(Contacts_11_SRC )
else()
    set(Contacts_11_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactactiondescriptor_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactactionfactory_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactactionfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactactiontarget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfavorite_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchbyidrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacthobby_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginev2_wrapper.cpp
    ${Contacts_12_SRC}
    )
endif()

set(Contacts_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/contacts_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactanniversary_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactavatar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactbirthday_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangelogfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfielddefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailrangefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdisplaylabel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactemailaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfamily_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgender_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgeolocation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactglobalpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactguid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactinvalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginefactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnickname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnote_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactonlineaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactorganization_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactphonenumber_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationship_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactringtone_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsynctarget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactthumbnail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttimestamp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacturl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontact_wrapper.cpp
${Contacts_11_SRC}
)

set(Contacts_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
)

set(Contacts_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Contacts
                     ${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
                     Contacts_SRC
                     Contacts_INCLUDE_DIRECTORIES
                     Contacts_LINK_LIBRARIES)

=== QtMobility/Gallery/CMakeLists.txt ===
project(Gallery)

set(Gallery_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/gallery_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qabstractgallery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qdocumentgallery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractresponse_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerymetadatafilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryitemrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryquerymodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryqueryrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresultset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytyperequest_wrapper.cpp
)

set(Gallery_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_GALLERY_INCLUDE_DIR}
)

set(Gallery_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_MOBILITY_GALLERY_LIBRARY}
)

CREATE_PYSIDE_MODULE(Gallery
                     ${QT_MOBILITY_GALLERY_INCLUDE_DIR}
                     Gallery_SRC
                     Gallery_INCLUDE_DIRECTORIES
                     Gallery_LINK_LIBRARIES)

=== QtMobility/Messaging/CMakeLists.txt ===
project(Messaging)

set(Messaging_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/messaging_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainerid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagedatacomparator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefoldersortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagesortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessage_wrapper.cpp
)

set(Messaging_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
)

set(Messaging_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_MESSAGING_LIBRARY}
)

CREATE_PYSIDE_MODULE(Messaging
                     ${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
                     Messaging_SRC
                     Messaging_INCLUDE_DIRECTORIES
                     Messaging_LINK_LIBRARIES)

=== QtMobility/MultimediaKit/CMakeLists.txt ===
project(MultimediaKit)


if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(MultimediaKit_12_SRC )
else()
    set(MultimediaKit_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraflashcontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmedianetworkaccesscontrol_wrapper.cpp
    )
endif()

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 1)
    set(MultimediaKit_11_SRC )
else()
    set(MultimediaKit_11_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameracontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraexposurecontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraexposure_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocuscontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocus_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimagecapturecontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimagecapture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimageprocessingcontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimageprocessing_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameralockscontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraviewfinder_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamera_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocuszone_wrapper.cpp
    ${MultimediaKit_12_SRC}
    )
endif()

set(MultimediaKit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/multimediakit_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideobuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideosurface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiocapturesource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioendpointselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudio_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qgraphicsvideoitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qlocalmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediabindableinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontainercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaimageviewer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistiointerface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistioplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistnavigator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistsourcecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecordercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicefeaturesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupporteddevicesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupportedformatsinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediastreamscontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimeinterval_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimerange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatareadercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatawritercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotunercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotuner_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qtmultimediakit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideodevicecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideorenderercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideosurfaceformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidgetcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowindowcontrol_wrapper.cpp
${MultimediaKit_11_SRC}
)

set(MultimediaKit_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}/${BINDING_NAME}/MultimediaKit
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
)

set(MultimediaKit_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_MULTIMEDIAKIT_LIBRARY}
)

CREATE_PYSIDE_MODULE(MultimediaKit
                     ${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
                     MultimediaKit_SRC
                     MultimediaKit_INCLUDE_DIRECTORIES
                     MultimediaKit_LINK_LIBRARIES)

=== QtMobility/Sensors/CMakeLists.txt ===
project(Sensors)

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(Sensors_12_SRC )
else()
    set(Sensors_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qgyroscope_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qgyroscopefilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qgyroscopereading_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qlightfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qlightreading_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qlightsensor_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorchangesinterface_wrapper.cpp
    )
endif()


set(Sensors_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qoutputrange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximitysensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackendfactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackend_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensormanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/sensors_module_wrapper.cpp
${Sensors_12_SRC}
)

set(Sensors_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_SENSORS_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
)

set(Sensors_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SENSORS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Sensors
                     ${QT_MOBILITY_SENSORS_INCLUDE_DIR}
                     Sensors_SRC
                     Sensors_INCLUDE_DIRECTORIES
                     Sensors_LINK_LIBRARIES)

=== QtMobility/ServiceFramework/CMakeLists.txt ===
project(ServiceFramework)

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(ServiceFramework_12_SRC )
else()
    set(ServiceFramework_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qremoteserviceregister_wrapper.cpp
    )
endif()

set(ServiceFramework_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qabstractsecuritysession_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicecontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceinterfacedescriptor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/serviceframework_module_wrapper.cpp
${ServiceFramework_12_SRC}
)

set(ServiceFramework_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
)

set(ServiceFramework_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SERVICEFRAMEWORK_LIBRARY}
)

CREATE_PYSIDE_MODULE(ServiceFramework
                     ${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
                     ServiceFramework_SRC
                     ServiceFramework_INCLUDE_DIRECTORIES
                     ServiceFramework_LINK_LIBRARIES)

=== QtMobility/SystemInfo/CMakeLists.txt ===
project(SystemInfo)

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(SystemInfo_12_SRC )
else()
    set(SystemInfo_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemalignedtimer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystembatteryinfo_wrapper.cpp
    )
endif()


set(SystemInfo_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdisplayinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsysteminfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemnetworkinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemscreensaver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemstorageinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/systeminfo_module_wrapper.cpp
${SystemInfo_12_SRC}
)

set(SystemInfo_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
)

set(SystemInfo_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_SYSTEMINFO_LIBRARY}
)

CREATE_PYSIDE_MODULE(SystemInfo
                     ${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
                     SystemInfo_SRC
                     SystemInfo_INCLUDE_DIRECTORIES
                     SystemInfo_LINK_LIBRARIES)

=== tests/Gallery/CMakeLists.txt ===
QTMOBILITY_TEST(qgalleryfilter_test.py)
QTMOBILITY_TEST(qgalleryfilter_copy_test.py)
QTMOBILITY_TEST(qgalleryfilter_intersection_test.py)
QTMOBILITY_TEST(qgalleryunionfilter_test.py)
QTMOBILITY_TEST(qgalleryproperty_operators_test.py)

=== debian/changelog ===
pyside-mobility-12 (0.2.2-0maemo1) unstable; urgency=low

  * New upstream release: 0.2.2

 -- Willer Moreira <willer.moreira@openbossa.org>  Wed, 20 Jul 2011 08:04:44 -0400

pyside-mobility (0.2.0-0maemo11) unstable; urgency=low

  * Version bump.

 -- Willer Moreira <willer.moreira@openbossa.org>  Thu, 02 Jun 2011 15:04:23 -0400

pyside-mobility (0.2.0-0maemo10) unstable; urgency=low

  * PySide update.

 -- Renato Araujo <renato@renatofilho.indt.org>  Mon, 09 May 2011 14:16:52 -0300

pyside-mobility (0.2.0-0maemo8) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 11 Apr 2011 14:28:30 -0400

pyside-mobility (0.2.0-0maemo7) unstable; urgency=low

  * Version bump. 

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 28 Feb 2011 10:44:40 -0400

pyside-mobility (0.2.0-0maemo6) unstable; urgency=low

  * Version bump.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 25 Feb 2011 16:44:00 -0400

pyside-mobility (0.2.0-0maemo5) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 22 Feb 2011 13:39:56 -0400

pyside-mobility (0.2.0-0maemo4) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta5 release.
  * Fix -dbg package.
  * Add shlibs.local file to ensure proper shared libs are found.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue,  8 Feb 2011 11:35:18 -0400

pyside-mobility (0.2.0-0maemo3) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta4 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 31 Jan 2011 09:17:18 -0400

pyside-mobility (0.2.0-0maemo2) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta3 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Wed, 12 Jan 2011 14:41:30 -0400

pyside-mobility (0.2.0-0maemo1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix upstream version to 0.2.0
  * Rebuild against pyside beta2

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 28 Dec 2010 17:20:32 -0300

pyside-mobility (0.2-0maemo5) unstable; urgency=low

  [ Luciano Wolf ]
  * Version bump to work with latest PySide1.0~beta1 release.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 28 Dec 2010 16:20:54 -0300

pyside-mobility (0.2-0maemo4) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

pyside-mobility (0.1-0maemo3) unstable; urgency=low

  * Add missing file in QtMobility/Bearer/CMakeLists.txt

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Fri, 13 Aug 2010 17:46:19 -0400

pyside-mobility (0.1-0maemo2) unstable; urgency=low

  * Add missing modules: Bearer, Messaging, PublishSubscribe

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Thu, 12 Aug 2010 09:21:00 -0400

pyside-mobility (0.1-0maemo1) unstable; urgency=low

  * Initial Release

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 30 Jul 2010 16:21:54 -0400

=== debian/control ===
Source: pyside-mobility-12
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-12-dev (>= 1.2.0), shiboken (>= 1.0.5), generatorrunner (>= 0.6.11), libshiboken-dev (>= 1.0.5), python-pyside (>= 1.0.5), libpyside-dev (>= 1.0.5)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility12
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility12.contacts (>= ${binary:Version}),
	 python-qtmobility12.connectivity (>= ${binary:Version}),
	 python-qtmobility12.feedback (>= ${binary:Version}),
	 python-qtmobility12.gallery (>= ${binary:Version}),
	 python-qtmobility12.location (>= ${binary:Version}),
	 python-qtmobility12.messaging (>= ${binary:Version}),
	 python-qtmobility12.multimediakit (>= ${binary:Version}),
	 python-qtmobility12.organizer (>= ${binary:Version}),
	 python-qtmobility12.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility12.sensors (>= ${binary:Version}),
	 python-qtmobility12.serviceframework (>= ${binary:Version}),
	 python-qtmobility12.systeminfo (>= ${binary:Version}),
	 python-qtmobility12.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility12-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility12.contacts (>= ${binary:Version}),
	 python-qtmobility12.connectivity (>= ${binary:Version}),
	 python-qtmobility12.feedback (>= ${binary:Version}),
	 python-qtmobility12.gallery (>= ${binary:Version}),
	 python-qtmobility12.location (>= ${binary:Version}),
	 python-qtmobility12.messaging (>= ${binary:Version}),
	 python-qtmobility12.multimediakit (>= ${binary:Version}),
	 python-qtmobility12.organizer (>= ${binary:Version}),
	 python-qtmobility12.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility12.sensors (>= ${binary:Version}),
	 python-qtmobility12.serviceframework (>= ${binary:Version}),
	 python-qtmobility12.systeminfo (>= ${binary:Version}),
	 python-qtmobility12.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility12.contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-contacts, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility12.connectivity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-connectivity, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Connectivity module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Connectivity module.

Package: python-qtmobility12.feedback
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-feedback, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Feedback module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Feedback module.

Package: python-qtmobility12.gallery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-gallery, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Gallery module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Gallery module.

Package: python-qtmobility12.location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-location, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility12.messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-messaging, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility12.multimediakit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-multimedia, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility MultimediaKit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the MultimediaKit module.

Package: python-qtmobility12.organizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-organizer, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Organizer module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Organizer module.

Package: python-qtmobility12.publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-publishsubscribe, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility12.sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-sensors, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility12.serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-serviceframework, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility12.systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-systeminfo, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility12.versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-versit, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility12.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.

=== debian/rules ===
#!/usr/bin/make -f

PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)


#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
	
override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
		-DCMAKE_INSTALL_PREFIX=/opt/qtm12 \
		-DCMAKE_BUILD_TYPE:STRING="Debug" \
		-DMOBILITY_VERSION=1.2 \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
		-DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
		-DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
		-DCMAKE_DEBUG_POSTFIX=_d \
		-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
		-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)


override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
		-DCMAKE_INSTALL_PREFIX=/opt/qtm12 \
		-DCMAKE_BUILD_TYPE:STRING="Release" \
		-DMOBILITY_VERSION=1.2 \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake/" \
		-DCMAKE_PYTHON_VERSION=$* \
		-DCMAKE_PYTHONLIB_VERSION=$* \
		-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
		-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
	
override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
	
override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-qtmobility12-dbg --exclude=_d.so
		
#### TEST ####

override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
	
override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####

override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_real

override_dh_install_first:
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
		debian/tmp-dbg/opt/qtm12/lib/python*/*-packages/QtMobility/*.so)

override_dh_install_real: override_dh_install_first
	# Do the legacy install
	dh_install --list-missing
